<?php
namespace app\model;

use think\Model;


class CdssAdvisory extends Model
{
    protected $table = "jm_cdss_advisory_select";
    private   $options = [ 1 => '主诉' , 2 => '现病史' , 3 => '其他史' , 4 => '查体',5 => '舌象',6 => '脉象'];

//    public function getCategoryAttr($value)
//    {
//        return $this->options[$value];
//    }

    public function getCategory()
    {
        return $this->options;
    }

    public function getFirstColumnSelectAttr($value)
    {
        return $value ? explode(',' , $value) : [];
    }

    public function getSecondColumnSelectAttr($value)
    {
        return $value ? explode(',' , $value) : [];
    }

    public function getThirdlyColumnSelectAttr($value)
    {
        return $value ? explode(',' , $value) : [];
    }

    public function getFourthlyColumnSelectAttr($value)
    {
        return $value ? explode(',' , $value) : [];
    }

    public function getFifthColumnSelectAttr($value)
    {
        return $value ? explode(',' , $value) : [];
    }

}
